import turtle
turtle.reset()
turtle.down()
turtle.color("red")
turtle.circle(30)
turtle.up()
turtle.forward(100)
turtle.down()
turtle.begin_fill()
turtle.circle(30)
turtle.end_fill()
turtle.up()
turtle.forward(100)
turtle.exitonclick()